Subject: Re: ni52.c warnings explosion

From: Alan Cox <[email-masked]>
Date: Thu, 21 Feb 2008 10:56:16 +0000

On Wed, 20 Feb 2008 23:26:24 -0800
Harvey Harrison <[email-masked]> wrote:

> Dave,
> 
> Somewhere between 2.6.25-rc1 and -rc2 something changed that produces a
> few hundred sparse warnings in ni52.c.

I gave it a massive clean up but I've not annotated it
> 
> I see Alan touched it last.
> 
> drivers/net/ni52.c:219:15: warning: incorrect type in argument 1 (different address spaces)
> drivers/net/ni52.c:219:15:    expected void const volatile [noderef] <asn:2>*addr
> drivers/net/ni52.c:219:15:    got unsigned char *<noident>
> 
> If you want the full log, let me know.

Throw it my way. I'll go through it but its probably mostly about
annotating it now it uses io spaces.